Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::LoggingServiceListener Class Reference
Inheritance diagram for linphone::LoggingServiceListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onLogMessageWritten (const std::shared_ptr< linphone::LoggingService > &logService, const std::string &domain, linphone::LogLevel level, const std::string &message)
| Type of callbacks called each time liblinphone write a log message.

## Member Function Documentation

## ◆ onLogMessageWritten()

virtual LINPHONECXX_PUBLIC void linphone::LoggingServiceListener::onLogMessageWritten | ( | const std::shared_ptr< linphone::LoggingService > & | logService,
|  | const std::string & | domain,
|  | linphone::LogLevel | level,
|  | const std::string & | message )
| inline virtual

Type of callbacks called each time liblinphone write a log message.

Parameters

  message | Content of the message.

The documentation for this class was generated from the following file:

- logging_service_listener.hh